@import '../styles/functions/rem.scss';
@import '../styles/theme.scss';

.header {
    width:100%;
    display: flex;
    flex-direction: row;
    background-color: $alt-color;

    .image {
        flex-basis: 50%;
        min-height: 100%;
        filter: grayscale(60%);
    }
}

.about {
    flex-basis: 50%;
    min-height: 100%;
    box-sizing: border-box;
    @include rem-fallback(padding, 40);

    h2 {
        font-weight: bold;
        display: block;
        @include rem-fallback(padding, 10, 0);
    }

    h4 {
        color: $primary-color;
        border-bottom: 2px solid $secondary-color;
        display: inline-block;

        @include rem-fallback(padding-bottom, 3);
    }

    p{
        @include rem-fallback(font-size, 18);
        @include rem-fallback(padding, 10, 0);
    }

    a {
        position: relative;
        color: $primary-color;
        text-decoration: none;
        font-weight: bold;
        border: 3px solid $secondary-color;

        @include rem-fallback(padding, 10);
        @include rem-fallback(top, 20);

        &:hover{
            background-color: $secondary-color;
        }
    }
}

.section {
    width: 100%;
    box-sizing: border-box;
    @include rem-fallback(padding, 30);

    h1 {
        border-bottom: 2px solid $secondary-color;
        @include rem-fallback(padding-bottom, 10);
        @include rem-fallback(margin-bottom, 20);
    }

    .resume {
        width: 100%;
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;

        h2 {
            border-bottom: 2px solid $secondary-color;
            @include rem-fallback(padding-bottom, 5);
            @include rem-fallback(margin-bottom, 10);
        }

        .experience {
            flex-basis: 49.5%;
            margin-right: 0.5%;
            @include rem-fallback(margin-bottom, 10);

            .content {
                width: 100%;
                display: grid;
                grid-template-columns: 4fr 6fr;
                box-sizing: border-box;
                @include rem-fallback(height, 100);
                

                .leftSide {
                    border-right: 2px solid $secondary-color;
                    text-align: right;
                    @include rem-fallback(padding-right, 30);

                    .date {
                        font-weight: bold;
                        @include rem-fallback(margin-bottom, 5);
                    }
                }

                .rightSide {
                    position: relative;
                    @include rem-fallback(padding-left, 30);

                    &:before {
                        content: " ";
                        position: absolute;
                        background-color: $background-color;
                        border: 2px solid $secondary-color;

                        @include rem-fallback(left, -8);
                        @include rem-fallback(top, 10);
                        @include rem-fallback(width, 10);
                        @include rem-fallback(height, 10);
                        @include rem-fallback(border-radius, 10);
                    }

                    .position {
                        font-weight: bold;
                        @include rem-fallback(margin-bottom, 5);
                    }
                }
            }
        }

        .stacks {
            flex-basis: 49.5%;
            margin-left: 0.5%;

            .stack {
                width: 100%;
                @include rem-fallback(margin-bottom, 10);

                .images {
                    width: 100%;
                    display: flex;
                    flex-wrap: wrap;
                    justify-content: flex-start;

                    .image {
                        @include rem-fallback(width, 70);
                        @include rem-fallback(height, 70);
                        @include rem-fallback(margin, 0,5,5);
                    }
                }
            }
        }
    }
}


@media all and (max-width: 980px) { 
    .header {
        .image {
            display: none;
            flex-basis: 0%;
        }

        .about {
            flex-basis: 100%;
        }
    }

    .section {
        .resume {
            .experience {
                flex-basis: 100%;

                .content {
                    @include rem-fallback(height, 110);
                }
            }

            .stacks{
                flex-basis: 100%;
            }
        }
    }
}

@media all and (max-width: 414px) {
    .section {
        @include rem-fallback(padding, 10);

        .resume {
            .experience {
                .content {
                    @include rem-fallback(height, 135);
                }
            }
        }
    }
}